.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    padding: 1rem;
    box-sizing: border-box;
    overflow-y: auto;
}

.modal-content {
    background-color: #fff;
    width: 100%;
    max-width: 500px;
    max-height: 90vh;
    overflow-y: auto;
    position: relative;
    box-shadow: 0 0 10px #000;
    border-radius: 20px;
    box-sizing: border-box;
}

/* Optional: Expand full screen on very small devices */
@media (max-width: 480px) {
    .modal-content {
        max-width: 100%;
        max-height: 100%;
        margin-right:10px;
        border-radius: 0;
    }
}

.close-btn {
    position: absolute;
    right: 15px;
    top: 10px;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
    background: none;
    border: none;
}
